import React, { Component } from 'react'
import PropTypes from 'prop-types'

import { PersistGate } from 'redux-persist/integration/react'
import { Provider } from 'react-redux'
import { Route } from 'react-router'
import { ConnectedRouter } from 'react-router-redux'
import { MainScreen } from "../routes/main"

const routes = [
  {
    path: "/",
    exact: true,
    component: MainScreen,
  }
]

class Navigation extends Component {
  render() {
    return (
      <Provider store={this.props.store}>
        <PersistGate loading={null} persistor={this.props.persistor}>
          <ConnectedRouter history={this.props.history}>
            <div>
              <div style={{paddingTop: 0}}>
                {routes.map((route, index) => (<Route key={index} path={route.path} exact={route.exact} component={() => route.component)) }
              </div>
            </div>
          </ConnectedRouter>
        </PersistGate>
      </Provider>
    )
  }
}

Navigation.propTypes = {
  store: PropTypes.object.isRequired
}

export default Navigation